System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object To be added To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Web.HttpCookieMode To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Web.Security.FormsAuthenticationTicket `` The string to decode, it must have been created with Encrypt. Decrypts a string into a FormsAuthenticationTickets This will return a or if the ticket fails to validate (due to tampering) it will throw an To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.String `` The ticket to encrypt.q Encrypts the based on the configuration information for the application.

  A string representing the ticket.

  The ticket might be just a string representation of the ticket, a string representation with a checksum or string representation with a checksum and encryption. Depending on the settings.

  The actual method to encrypt the data depends on the setting in the "mode" attribute in the <authentication> section in the <system.web> section of the application configuration.

  The possible values are:

  Value
  Effect
  All
  Checksums and encrypts the ticket; Prevents tampering and visibility from the user
  None
  Encodes the tickets as a hex string, the ticket can be tampered and the content viewed by a client
  Encryption
  Encrypts the tickets, but does not checksum the results.
  Validation
  Appends a checksum to the sequence, to avoid a client tampering with the data.

  The default mode is "All".

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpCookie `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.HttpCookie `` `` `` a a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` The password to hash. The hash algorithm to use. Calculates the hash of a string using the selected algorithm and returns it as a string for storing in a database or configuration file. A string that contains the hashed password. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Web.Security.FormsAuthenticationTicket `` To be added: an object of type 'FormsAuthenticationTicket' To be added To be added: an object of type 'FormsAuthenticationTicket' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'bool' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0